/*
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 */


package vkc.ws.axis.listener;

import javax.servlet.http.HttpSessionEvent;

public class AxisHTTPSessionListener extends org.apache.axis.transport.http.AxisHTTPSessionListener {


	public void sessionDestroyed(HttpSessionEvent event) {

		try { 

			// Session may have been invalidated by Struts yet
			// so IllegalStateException should be caught here
			// to prevent it been thrown by the Struts LogoutAction
			super.sessionDestroyed( event );

		} catch (IllegalStateException e) {
		}
	}
}
